# Class SessionManager

### Hierarchy

- SessionManager

### Constructors

- constructor

### Accessors

- debug

### Methods

- clearSession
- getSession

## Constructors

### constructor

- new SessionManager(serverUrl: string, contextName: string, setCsrfToken: function): SessionManager

- - Defined in SessionManager.ts:12

  #### Parameters

  - ##### serverUrl: string

  - ##### contextName: string

  - ##### setCsrfToken: function

    - - (csrfToken: CsrfToken): void

      - #### Parameters

        - ##### csrfToken: CsrfToken

        #### Returns void

  #### Returns SessionManager

## Accessors

### debug

- get debug(): boolean
- set debug(value: boolean): void

- - Defined in SessionManager.ts:26

  #### Returns boolean

- - Defined in SessionManager.ts:30

  #### Parameters

  - ##### value: boolean

  #### Returns void

## Methods

### clearSession

- clearSession(id: string, accessToken?: undefined | string): Promise<void>

- - Defined in SessionManager.ts:55

  #### Parameters

  - ##### id: string

  - ##### Optional accessToken: undefined | string

  #### Returns Promise<void>

### getSession

- getSession(accessToken?: undefined | string): Promise<undefined | Session>

- - Defined in SessionManager.ts:34

  #### Parameters

  - ##### Optional accessToken: undefined | string

  #### Returns Promise<undefined | Session>

Generated using TypeDoc